# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 Thomas Mashos <thomas@mashos.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import gettext
from gettext import gettext as _
gettext.textdomain('ubuntu-tv-testcard')

from gi.repository import Gtk # pylint: disable=E0611
import logging
logger = logging.getLogger('ubuntu_tv_testcard')

from ubuntu_tv_testcard_lib import Window
from ubuntu_tv_testcard.AboutUbuntuTvTestcardDialog import AboutUbuntuTvTestcardDialog
from ubuntu_tv_testcard.PreferencesUbuntuTvTestcardDialog import PreferencesUbuntuTvTestcardDialog

# See ubuntu_tv_testcard_lib.Window.py for more details about how this class works
class UbuntuTvTestcardWindow(Window):
    __gtype_name__ = "UbuntuTvTestcardWindow"
    
    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the main window"""
        super(UbuntuTvTestcardWindow, self).finish_initializing(builder)

        self.AboutDialog = AboutUbuntuTvTestcardDialog
        self.PreferencesDialog = PreferencesUbuntuTvTestcardDialog

        # Code for other initialization actions should be added here.

